### Signal

# Gtk.DropTargetAsync::drag-motion

#### Declaration

    GdkDragAction
    drag_motion (
      GtkDropTargetAsync self,
      GdkDrop* drop,
      gdouble x,
      gdouble y,
      gpointer user_data
    )

#### Description [src]

Emitted while the pointer is moving over the drop target.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`drop` | `GdkDrop*`
| the `GdkDrop`
| Ownership is not transferred to the callee
`x` | `gdouble`
| the x coordinate of the current pointer position
`y` | `gdouble`
| the y coordinate of the current pointer position

#### Return value

Returns: `GdkDragAction`
Preferred action for this drag operation.